#include <avr/io.h>
#include <avr/interrupt.h>

#include "atm16_int.h"
#include "Typedefs.h"
#include "global.h"
#include "atm16_adc.h"
#include "Calc.h"

uchar8 caSsa[]={0b01100000,0b11111001,0b10100100,0b10110000,0b00111001,0b00110010,0b00100010,0b11111000,0b00100000,0b00110000};

uchar8 fBitflags;

ISR(TIMER0_OVF_vect){
	static uchar8 IRQSegment = 0;
	uchar8 caResult[6];
	Calc_vSplitIntoDigits(uwAdcResult,caResult);
	
	(IRQSegment==5) ? IRQSegment = 0 : IRQSegment++;
	switch (IRQSegment){
		
		case (0):
			PORTB&=~(1<<PB7);
			PORTD=caSsa[caResult[0]];
			PORTC|=(1<<PC0);			
		break;
		
		case (1):
			PORTC&=~(1<<PC0);
			PORTD=caSsa[caResult[1]];
			PORTC|=(1<<PC1);	
		break;

		case (2):
			PORTC&=~(1<<PC1);
			PORTD=caSsa[caResult[2]];
			PORTA&=~(1<<PA7);
			PORTC|=(1<<PC6);
			
		break;

		case (3):
			PORTC&=~(1<<PC6);
//			PORTA|=(1<<PA7);
			PORTD=caSsa[caResult[3]];
			PORTC|=(1<<PC7);			
		break;

		case (4):
			PORTC&=~(1<<PC7);
			PORTD=caSsa[caResult[4]];
			PORTB|=(1<<PB6);			
		break;

		case (5):
			PORTB&=~(1<<PB6);
			PORTD=caSsa[caResult[5]];
			PORTB|=(1<<PB7);
		break;
	}
}

ISR(TIMER1_OVF_vect){

}

ISR(INT0_vect){
	
}

ISR(INT1_vect){

}

ISR(ADC_vect){
}
