#include <avr/io.h>
#include "atm16_tim.h"
#include <avr/interrupt.h>
#include "Typedefs.h"


//===========================================================================
//TIMER0
//===========================================================================
bool8 TIM_bTimer1Start(uchar8 ucPrescaler){
	TCCR1B |= ucPrescaler;
	return TRUE;
}

bool8 TIM_bTimer1Stopp(){
	TCNT1=0;
	TCCR1B &= ~((1<<0)|(1<<1)|(1<<2));	//untere 3 Bit lschen hlt Timer an
	return TRUE;
}

bool8 TIM_bTimer1_OVF_Int(bool8 bEnabled){
	if (bEnabled==TRUE){
		TIMSK|=(1<<TOIE1);
		sei();
	} else if (bEnabled==FALSE){
		TIMSK&=~(1<<TOIE1);
	} else {
		return FALSE;
	}
	return TRUE;
}

//===========================================================================
//TIMER0
//===========================================================================
bool8 TIM_bTimer0Start(uchar8 ucPrescaler){
	TCCR0|=ucPrescaler;
	return TRUE;
}

bool8 TIM_bTimer0Stopp(){
	TCNT0=0;
	TCCR0 &= ~((1<<0)|(1<<1)|(1<<2));	//untere 3 Bit lschen hlt Timer an
	return FALSE;
}

bool8 TIM_bTimer0_OVF_Int(bool8 bEnabled){
	if (bEnabled==TRUE){
		TIMSK|=(1<<TOIE0);
		sei();
	} else if (bEnabled==FALSE){
		TIMSK&=~(1<<TOIE0);
	} else {
		return FALSE;
	}
	return TRUE;
}
